function ConvertQlc2Tlc(pScanBuff, nLen, nPhysicPage, nPageCount, nBlock)
	local pRetBuff = ByteArray.new(nLen, 0)
	ByteArray.arraycopy(pRetBuff, 0, pScanBuff, 0, nLen)
	for page = 133, nPageCount-1 do
		if(((page <= 2289 or (page >= 2293 and page <= 2337) or (page >= 2413 and page <= 2457) or (page >= 2497 and page <= 2541) or (page >= 2581 and page <= 4549)) and (page % 4 == 1))  or ((page >= 4554 and page <= 4604) and (page % 5 == 4)) or ((page >= 4552 and page <= 4607) and (page %5 == 2))) then
			for block = 0, nBlock-1 do
				ByteArray.set(pRetBuff, block * nPhysicPage + page, ByteArray.get(pScanBuff, block * nPhysicPage + page) + 128)
			end
		end
	end
	
	return pRetBuff
end


